POST api/medistreamprogramstepapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

program_id

globally unique identifier

Required

code

integer

Required

Range: inclusive between 0 and ∞

name

string

Required

medistream_program_step_type_id

globally unique identifier

Required

active

boolean

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "505a1cc8-a257-454f-9a4c-e26e7b181acd",
  "program_id": "bd32fcd8-0472-4e56-bb3d-b663bdc794b6",
  "code": 3,
  "name": "sample string 4",
  "medistream_program_step_type_id": "923f4785-f843-4a53-b5bc-9b2d6aaf2b3a",
  "active": true
}

application/xml, text/xml

Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>3</code>
  <id>505a1cc8-a257-454f-9a4c-e26e7b181acd</id>
  <medistream_program_step_type_id>923f4785-f843-4a53-b5bc-9b2d6aaf2b3a</medistream_program_step_type_id>
  <name>sample string 4</name>
  <program_id>bd32fcd8-0472-4e56-bb3d-b663bdc794b6</program_id>
</medistream_program_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"b152391b-2c53-487f-87c8-04578c5116bf"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b152391b-2c53-487f-87c8-04578c5116bf</guid>